# eoLinearTruncate< EOT > Class Template Reference

a truncate class that does not sort, but repeatidely kills the worse. More...

`#include <eoReduce.h>`

Inheritance diagram for eoLinearTruncate< EOT >:

List of all members.

## Private Member Functions

void | operator() (eoPop< EOT > &_newgen, unsigned _newsize)
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT>
class eoLinearTruncate< EOT >

a truncate class that does not sort, but repeatidely kills the worse.

To be used in SSGA-like replacements (e.g. see eoSSGAWorseReplacement)

Definition at line 167 of file eoReduce.h.

The documentation for this class was generated from the following file:

- eoReduce.h